package cn.im.trafficplan.model;

import cn.base.bean.BaseBean;
//[交通预案执行方式]

public class TrafficplanexecmodeBean extends BaseBean implements java.io.Serializable {
	private String execID;//[执行ID]
	private String planID;//[预案ID]
	private String linkageID;//[联动设备ID]
	private int execOrder;//[执行顺序]
	private String execModel;//[执行模式，0-自动执行；1-手动执行；2-延时执行；]
	private String delayTime;//[延时时长(s)]
	private String planType;//[报警类型，代码字段， 1-信息发布；2-诱导灯联动； 3-大屏上墙； 4-平台通信； 5-语音提醒；6-声光报警；7-短信通知；99-结束预案]
	private String typeName;//[联动设备类型名称]
	private String linkageDeviceName;//[关联设备名称]
	private String linkageDeviceId;//[关联设备ID]
	private String messageTitle;//[联动名称]
	private String messageContent;//[发布内容]
	private String createAccount;//[创建人]
	private String createTime;//[创建时间]
	private String modifyAccount;//[修改人]
	private String modifyTime;//[修改时间]
	private String noticeContent;
	
	public String getNoticeContent() {
		return noticeContent;
	}
	public void setNoticeContent(String noticeContent) {
		this.noticeContent = noticeContent;
	}
	public void setExecID(String execID){
		this.execID = execID;
	}
	public String getExecID(){
		return execID;
	}
	public void setPlanID(String planID){
		this.planID = planID;
	}
	public String getPlanID(){
		return planID;
	}
	public void setLinkageID(String linkageID){
		this.linkageID = linkageID;
	}
	public String getLinkageID(){
		return linkageID;
	}
	public void setExecOrder(int execOrder){
		this.execOrder = execOrder;
	}
	public int getExecOrder(){
		return execOrder;
	}
	public void setExecModel(String execModel){
		this.execModel = execModel;
	}
	public String getExecModel(){
		return execModel;
	}
	public void setDelayTime(String delayTime){
		this.delayTime = delayTime;
	}
	public String getDelayTime(){
		return delayTime;
	}
	public void setPlanType(String planType){
		this.planType = planType;
	}
	public String getPlanType(){
		return planType;
	}
	public void setTypeName(String typeName){
		this.typeName = typeName;
	}
	public String getTypeName(){
		return typeName;
	}
	public void setLinkageDeviceName(String linkageDeviceName){
		this.linkageDeviceName = linkageDeviceName;
	}
	public String getLinkageDeviceName(){
		return linkageDeviceName;
	}
	public void setLinkageDeviceId(String linkageDeviceId){
		this.linkageDeviceId = linkageDeviceId;
	}
	public String getLinkageDeviceId(){
		return linkageDeviceId;
	}
	public void setMessageTitle(String messageTitle){
		this.messageTitle = messageTitle;
	}
	public String getMessageTitle(){
		return messageTitle;
	}
	public void setMessageContent(String messageContent){
		this.messageContent = messageContent;
	}
	public String getMessageContent(){
		return messageContent;
	}
	public void setCreateAccount(String createAccount){
		this.createAccount = createAccount;
	}
	public String getCreateAccount(){
		return createAccount;
	}
	public void setCreateTime(String createTime){
		this.createTime = createTime;
	}
	public String getCreateTime(){
		return createTime;
	}
	public void setModifyAccount(String modifyAccount){
		this.modifyAccount = modifyAccount;
	}
	public String getModifyAccount(){
		return modifyAccount;
	}
	public void setModifyTime(String modifyTime){
		this.modifyTime = modifyTime;
	}
	public String getModifyTime(){
		return modifyTime;
	}
}